> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Labor Allocation Report

> Start an asynchronous job to generate a Labor Allocation report showing how labor hours and costs are distributed across cost centers or departments.



## OpenAPI

````yaml openapi/zeal-api.json post /reports/labor-allocation
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /reports/labor-allocation:
    post:
      summary: Create Labor Allocation Report
      description: Create a labor allocation report.
      operationId: create-a-labor-allocation-report
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - start_date
                - end_date
                - companyID
                - media_type
              properties:
                start_date:
                  type: string
                  description: >-
                    Start date of Labor data. Date should be in ISO-8601 format
                    (YYYY-MM-DD).
                  format: date
                end_date:
                  type: string
                  description: >-
                    End date of Labor data. Date should be in ISO-8601 format
                    (YYYY-MM-DD).
                  format: date
                companyID:
                  type: string
                  description: ID of the company for report
                media_type:
                  type: string
                  description: >-
                    Type of file the report will be (csv is the only supported
                    file)
                  default: csv
                customer_account_ids:
                  type: array
                  description: Filter by customer account(s) (Early Access)
                  items:
                    type: string
                include_migrated:
                  type: boolean
                  description: Include migrated data in the report
            examples:
              Request Example:
                value:
                  start_date: '2023-12-01'
                  end_date: '2024-12-20'
                  companyID: 24b5b29f07924230b119c34c1358940c
                  media_type: csv
                  include_migrated: false
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      job_id: c33bbb6d-b6cf-45bt-891d-aa94743f2d97
                      status: pending
                      request_body:
                        start_date: '2023-12-01'
                        end_date: '2023-12-20'
                        companyID: 24b5b23f07924820b119c34c1358940c
                        media_type: csv
                        include_migrated: false
                        has_live_key: true
                        report_format: labor_allocation
                      created_at: '2023-12-21T22:08:16.596Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Must provide a valid companyID
                        code: 50
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Must provide a valid companyID
                        code:
                          type: integer
                          example: 50
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````